Force update a order status and receive postback webhook.
PUT /order-tools/v1/order/status
PUT
/order-tools/v1/order/status
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
id
required
Unique id of the order.
string
Example
5f4e3f2b-0b7b-4b7d-8b3d-3b3b7b3b7b3b status
required
The status you want to simulate the Order (PayIn/PayOut).
Final status: EXPIRED, CANCELED, REFUNDED, ERROR.
- Orders with a final status can't be changed.
- Payin orders with status PENDING can be changed to PAID, CANCELED, EXPIRED or ERROR.
- Payin orders with status PAID can only be changed to REFUNDED.
- Payout orders with status PENDING can be changed to PAID, ERROR or CANCELED.
PayIn status: PAID, CANCELED, EXPIRED or ERROR.
PayOut status: PAID, ERROR.
string
Responses
Section titled “ Responses ”The resource was returned successfully
object
id
required
Order id.
string
Example
5f4e3f2b-0b7b-4b7d-8b3d-3b3b7b3b7b3b description
required
Description of the operation status.
string
Example
Order status change to PAID executed.Array<string>
An unexpected error occurred inside the server
Array<string>